.\"
.\" Mach Operating System
.\" Copyright (c) 1991,1990 Carnegie Mellon University
.\" All Rights Reserved.
.\" 
.\" Permission to use, copy, modify and distribute this software and its
.\" documentation is hereby granted, provided that both the copyright
.\" notice and this permission notice appear in all copies of the
.\" software, derivative works or modified versions, and any portions
.\" thereof, and that both notices appear in supporting documentation.
.\" 
.\" CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS 
.\" CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
.\" ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
.\" 
.\" Carnegie Mellon requests users of this software to return to
.\" 
.\"  Software Distribution Coordinator  or  Software.Distribution@CS.CMU.EDU
.\"  School of Computer Science
.\"  Carnegie Mellon University
.\"  Pittsburgh PA 15213-3890
.\" 
.\" any improvements or extensions that they make and grant Carnegie the
.\" rights to redistribute these changes.
.\"
.\" HISTORY
.\" $Log:	thstate.man,v $
.\" Revision 2.2  92/01/22  23:07:37  rpd
.\" 	Moved to a separate directory.
.\" 	[92/01/22            rpd]
.\" 
.\" Revision 2.3  91/03/19  12:32:41  mrt
.\" 	Changed to new copyright
.\" 
.\" Revision 2.2  90/09/12  16:33:08  rpd
.\" 	Document the new capability to handle tasks and multiple ids.
.\" 	[90/09/12            rpd]
.\" 
.\" 	Created.
.\" 	[90/06/18            rpd]
.\" 
.TH THSTATE 1 6/18/90
.CM 4
.SH NAME
thstate \- display a thread's register state
.SH SYNOPSIS
\fBthstate\fP [\fB-host\fP machine] ids...
.SH DESCRIPTION
\fIthstate(1)\fR displays a thread's basic register state.  A list of
MachIDs specifies the threads.  Given the MachID of other objects like
tasks, processor sets, and hosts, \fIthstate\fR displays the state of
all threads in the object.
.PP
\fIthstate\fR displays the register contents in hexadecimal.
.PP
\fIthstate\fR must run as root or a member of group kmem
to gain access to the target thread.
.PP
\fIthstate\fP interprets the following options:
.TP 8
.B \-host \fImachine\fR
Directs the inquiry to the \fImachid(1)\fR server running
on the specified machine.
.SH "SEE ALSO"
ms(1), machid(1), thread_get_state(2)
