.\"
.\" Mach Operating System
.\" Copyright (c) 1991,1990 Carnegie Mellon University
.\" All Rights Reserved.
.\" 
.\" Permission to use, copy, modify and distribute this software and its
.\" documentation is hereby granted, provided that both the copyright
.\" notice and this permission notice appear in all copies of the
.\" software, derivative works or modified versions, and any portions
.\" thereof, and that both notices appear in supporting documentation.
.\" 
.\" CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS 
.\" CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
.\" ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
.\" 
.\" Carnegie Mellon requests users of this software to return to
.\" 
.\"  Software Distribution Coordinator  or  Software.Distribution@CS.CMU.EDU
.\"  School of Computer Science
.\"  Carnegie Mellon University
.\"  Pittsburgh PA 15213-3890
.\" 
.\" any improvements or extensions that they make and grant Carnegie the
.\" rights to redistribute these changes.
.\"
.\" HISTORY
.\" $Log:	vminfo.man,v $
.\" Revision 2.2  92/01/22  23:08:02  rpd
.\" 	Moved to a separate directory.
.\" 	[92/01/22            rpd]
.\" 
.\" Revision 2.3  91/03/19  12:32:49  mrt
.\" 	Changed to new copyright
.\" 
.\" Revision 2.2  90/09/12  16:33:17  rpd
.\" 	Created.
.\" 	[90/06/18            rpd]
.\" 
.TH VMINFO 1 6/18/90
.CM 4
.SH NAME
vminfo \- display info about a task's address space
.SH SYNOPSIS
\fBvminfo\fP [\fB-host\fP machine] [\fB-v\fP] [\fB-d\fP] [\fB-z\fP] [taskid]
.SH DESCRIPTION
\fIvminfo(1)\fR displays information about a task's address space.
The \fItaskid\fP argument, a MachID, specifies the task.
If the \fItaskid\fP argument isn't specified, \fIvminfo\fP displays information
about its own addres space.
.PP
\fIvminfo\fP displays an object name port using the port's MachID.
The MachID is a stable name that persists across invocations
of \fIvminfo\fP.
.PP
\fIvminfo\fP interprets the following options:
.TP 8
.B \-host \fImachine\fR
Directs the inquiry to the \fImachid(1)\fR server running
on the specified machine.
.TP 8
.B \-z
Suspends the target task while querying it for information.
.TP 8
.B \-d
Displays implementation-dependent information about the kernel data
structures maintaining the task's address space.
.TP 8
.B \-v
Displays more detailed information.
.SH "SEE ALSO"
ms(1), machid(1), vm_region(2)
